Jetson AGC Orin jetpack upgrade fail

Hi. I’ve just got my hands on a Jetson AGX Orin devkit. I’m following the instructions in the setup guide , but when it comes to trying to install/upgrade jetpack, apt fails and it shows like below :
aistartek@aistartek-desktop:~/Desktop$ sudo apt install nvidia-jetpack
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
nvidia-jetpack : Depends: nvidia-cuda (= 5.0.1-b118) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

And i check my l4t version ,its # R34 (release), REVISION: 1.1, GCID: 30414990, BOARD: t186ref, EABI: aarch64, DATE: Tue May 17 04:20:55 UTC 2022

Many thanks for your support.

1 Like

Hi jerrard.jia,

Are you using SDK Manager to flash r34.1.1 on your Orin board?
Looks your environment is not clean, please check “apt-get update” functions works.

I didn’t use SDK Manager to flash r34.1.1, Actually this is the first update since I got my Orin.
Here is my function information:
aistartek@aistartek-desktop:~/Desktop$ sudo apt-get update
命中:1 Index of /ubuntu-ports focal InRelease
命中:2 Index of /ubuntu-ports focal-updates InRelease
命中:3 Index of /ubuntu-ports focal-backports InRelease
命中:4 Index of /ubuntu-ports focal-security InRelease
命中:5 https://repo.download.nvidia.cn/jetson/common r34.1 InRelease
命中:6 https://repo.download.nvidia.cn/jetson/t234 r34.1 InRelease

Hi jerrard.jia,

Can you use SDK Manager to flash image and install sdk components?

Thanks for your support, It works after using the SDK Manager to flash image.

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.